Skip to main content
GET
/
agent-delegations
/
{agent_delegation_id}
Get agent delegation
curl --request GET \
  --url https://api.natural.co/agent-delegations/{agent_delegation_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "agent_delegation",
    "id": "adl_019cd36da26b791abb3be40fa9bfae31",
    "attributes": {
      "agent_name": null,
      "permissions": [
        "payments.create",
        "payments.read"
      ],
      "limits": null,
      "expires_at": "2027-01-04T15:30:00Z",
      "created_at": "2026-01-04T15:30:00Z",
      "created_by": "usr_019cd3444a6c7c1e82cad58e0c4536b3",
      "updated_at": "2026-01-04T15:30:00Z",
      "delegating_party_name": null,
      "delegated_party_name": null
    },
    "relationships": {
      "delegation": {
        "data": {
          "type": "delegation",
          "id": "dlg_019cd36da26c7559a81b8d1b5ae415ee"
        }
      },
      "agent": {
        "data": {
          "type": "agent",
          "id": "agt_019cd1798d637a4da75dce386343931d"
        }
      },
      "delegating_party": {
        "data": {
          "type": "party",
          "id": "pty_019cd3444a6b7afe95c91cfdc74a46eb"
        }
      },
      "delegated_party": {
        "data": {
          "type": "party",
          "id": "pty_019cd1798d617f65a79cb965dda9eac3"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Path Parameters

agent_delegation_id
string
required

Agent delegation ID (adl_xxx)

Response

Successful Response

Single agent delegation response.

data
AgentDelegationResource · object
required

Resource object